> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deal link entries for an end user

> List all end users linked to the same CRM opportunity as this end user — the original submission end user plus one end user per funder decision email.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_heron_id}/deal_link/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_heron_id}/deal_link/:
    get:
      summary: Get deal link entries for an end user
      description: >-
        List all end users linked to the same CRM opportunity as this end user —
        the original submission end user plus one end user per funder decision
        email.
      parameters:
        - description: The Heron ID of the end user
          in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DealLinkEntry'
                type: array
          description: List of deal link entries
        '404':
          description: End user not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DealLinkEntry:
      additionalProperties: false
      properties:
        decline_reason:
          nullable: true
          readOnly: true
          type: string
        funder_heron_id:
          nullable: true
          readOnly: true
          type: string
        funder_name:
          nullable: true
          readOnly: true
          type: string
        name:
          nullable: true
          readOnly: true
          type: string
        occurrences:
          items:
            $ref: '#/components/schemas/DealLinkOccurrence'
          readOnly: true
          type: array
        opportunity_id:
          readOnly: true
          type: string
        role:
          enum:
            - submission
            - approval
            - decline
            - other
            - unknown
          readOnly: true
      type: object
    DealLinkOccurrence:
      additionalProperties: false
      properties:
        created:
          format: date-time
          nullable: true
          readOnly: true
          type: string
        end_user_heron_id:
          readOnly: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````